Package org.apache.iotdb.jdbc

# Class IoTDBJDBCResultSet

java.lang.Object
org.apache.iotdb.jdbc.IoTDBJDBCResultSet

All Implemented Interfaces:
  `AutoCloseable`, `ResultSet`, `Wrapper`

public class IoTDBJDBCResultSet extends Object implements ResultSet

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<String>`
`columnTypeList`
`protected IoTDBRpcDataSet`
`ioTDBRpcDataSet`
`protected IoTDBTracingInfo`
`ioTDBRpcTracingInfo`
`protected Statement`
`statement`
`protected SQLWarning`
`warningChain`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

## Constructor Summary

Constructors
Constructor
Description
`IoTDBJDBCResultSet(Statement statement, List<String> columnNameList, List<String> columnTypeList, Map<String,Integer> columnNameIndex, boolean ignoreTimeStamp, IClientRPCService.Iface client, String sql, long queryId, long sessionId, List<ByteBuffer> dataSet, TSTracingInfo tracingInfo, long timeout, boolean moreData, ZoneId zoneId)`
`IoTDBJDBCResultSet(Statement statement, List<String> columnNameList, List<String> columnTypeList, Map<String,Integer> columnNameIndex, boolean ignoreTimeStamp, IClientRPCService.Iface client, String sql, long queryId, long sessionId, List<ByteBuffer> dataSet, TSTracingInfo tracingInfo, long timeout, boolean moreData, ZoneId zoneId, Charset charset)`
`IoTDBJDBCResultSet(Statement statement, List<String> columnNameList, List<String> columnTypeList, Map<String,Integer> columnNameIndex, boolean ignoreTimeStamp, IClientRPCService.Iface client, String sql, long queryId, long sessionId, List<ByteBuffer> dataset, TSTracingInfo tracingInfo, long timeout, String operationType, List<String> columns, List<String> sgColumns, BitSet aliasColumnMap, boolean moreData, ZoneId zoneId, Charset charset)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`absolute(int arg0)`
`void`
`afterLast()`
`void`
`beforeFirst()`
`void`
`cancelRowUpdates()`
`void`
`clearWarnings()`
`void`
`close()`
`void`
`deleteRow()`
`int`
`findColumn(String columnName)`
`boolean`
`first()`
`List<String>`
`getActivityList()`
`Array`
`getArray(int arg0)`
`Array`
`getArray(String arg0)`
`InputStream`
`getAsciiStream(int arg0)`
`InputStream`
`getAsciiStream(String arg0)`
`BigDecimal`
`getBigDecimal(int columnIndex)`
`BigDecimal`
`getBigDecimal(int columnIndex, int scale)`
`BigDecimal`
`getBigDecimal(String columnName)`
`BigDecimal`
`getBigDecimal(String columnName, int scale)`
`InputStream`
`getBinaryStream(int arg0)`
`InputStream`
`getBinaryStream(String arg0)`
`Blob`
`getBlob(int arg0)`
`Blob`
`getBlob(String arg0)`
`boolean`
`getBoolean(int columnIndex)`
`boolean`
`getBoolean(String columnName)`
`byte`
`getByte(int columnIndex)`
`byte`
`getByte(String columnName)`
`byte[]`
`getBytes(int columnIndex)`
`byte[]`
`getBytes(String columnName)`
`Reader`
`getCharacterStream(int arg0)`
`Reader`
`getCharacterStream(String arg0)`
`Clob`
`getClob(int arg0)`
`Clob`
`getClob(String arg0)`
`List<String>`
`getColumns()`
`String`
`getColumnTypeByIndex(int columnIndex)`
`int`
`getConcurrency()`
`String`
`getCursorName()`
`Date`
`getDate(int columnIndex)`
`Date`
`getDate(int arg0, Calendar arg1)`
`Date`
`getDate(String columnName)`
`Date`
`getDate(String arg0, Calendar arg1)`
`double`
`getDouble(int columnIndex)`
`double`
`getDouble(String columnName)`
`List<Long>`
`getElapsedTimeList()`
`int`
`getFetchDirection()`
`int`
`getFetchSize()`
`float`
`getFloat(int columnIndex)`
`float`
`getFloat(String columnName)`
`int`
`getHoldability()`
`int`
`getInt(int columnIndex)`
`int`
`getInt(String columnName)`
`long`
`getLong(int columnIndex)`
`long`
`getLong(String columnName)`
`ResultSetMetaData`
`getMetaData()`
`Reader`
`getNCharacterStream(int arg0)`
`Reader`
`getNCharacterStream(String arg0)`
`NClob`
`getNClob(int arg0)`
`NClob`
`getNClob(String arg0)`
`String`
`getNString(int arg0)`
`String`
`getNString(String arg0)`
`Object`
`getObject(int columnIndex)`
`<T> T`
`getObject(int arg0, Class<T> arg1)`
`Object`
`getObject(int arg0, Map<String,Class<?>> arg1)`
`Object`
`getObject(String columnName)`
`<T> T`
`getObject(String arg0, Class<T> arg1)`
`Object`
`getObject(String arg0, Map<String,Class<?>> arg1)`
`protected Object`
`getObjectByName(String columnName)`
`String`
`getOperationType()`
`Ref`
`getRef(int arg0)`
`Ref`
`getRef(String arg0)`
`int`
`getRow()`
`RowId`
`getRowId(int arg0)`
`RowId`
`getRowId(String arg0)`
`List<String>`
`getSgColumns()`
`short`
`getShort(int columnIndex)`
`short`
`getShort(String columnName)`
`SQLXML`
`getSQLXML(int arg0)`
`SQLXML`
`getSQLXML(String arg0)`
`Statement`
`getStatement()`
`long`
`getStatisticsByName(String name)`
`String`
`getStatisticsInfoByName(String name)`
`String`
`getString(int columnIndex)`
`String`
`getString(String columnName)`
`Time`
`getTime(int columnIndex)`
`Time`
`getTime(int arg0, Calendar arg1)`
`Time`
`getTime(String columnName)`
`Time`
`getTime(String arg0, Calendar arg1)`
`Timestamp`
`getTimestamp(int columnIndex)`
`Timestamp`
`getTimestamp(int arg0, Calendar arg1)`
`Timestamp`
`getTimestamp(String columnName)`
`Timestamp`
`getTimestamp(String arg0, Calendar arg1)`
`int`
`getType()`
`InputStream`
`getUnicodeStream(int arg0)`
`InputStream`
`getUnicodeStream(String arg0)`
`URL`
`getURL(int arg0)`
`URL`
`getURL(String arg0)`
`protected String`
`getValueByName(String columnName)`
`SQLWarning`
`getWarnings()`
`void`
`insertRow()`
`boolean`
`isAfterLast()`
`boolean`
`isBeforeFirst()`
`boolean`
`isClosed()`
`boolean`
`isFirst()`
`boolean`
`isIgnoreTimeStamp()`
`boolean`
`isLast()`
`boolean`
`isSetTracingInfo()`
`boolean`
`isWrapperFor(Class<?> iface)`
`boolean`
`last()`
`void`
`moveToCurrentRow()`
`void`
`moveToInsertRow()`
`boolean`
`next()`
`boolean`
`previous()`
`void`
`refreshRow()`
`boolean`
`relative(int arg0)`
`boolean`
`rowDeleted()`
`boolean`
`rowInserted()`
`boolean`
`rowUpdated()`
`void`
`setFetchDirection(int arg0)`
`void`
`setFetchSize(int arg0)`
`<T> T`
`unwrap(Class<T> iface)`
`void`
`updateArray(int arg0, Array arg1)`
`void`
`updateArray(String arg0, Array arg1)`
`void`
`updateAsciiStream(int arg0, InputStream arg1)`
`void`
`updateAsciiStream(int arg0, InputStream arg1, int arg2)`
`void`
`updateAsciiStream(int arg0, InputStream arg1, long arg2)`
`void`
`updateAsciiStream(String arg0, InputStream arg1)`
`void`
`updateAsciiStream(String arg0, InputStream arg1, int arg2)`
`void`
`updateAsciiStream(String arg0, InputStream arg1, long arg2)`
`void`
`updateBigDecimal(int arg0, BigDecimal arg1)`
`void`
`updateBigDecimal(String arg0, BigDecimal arg1)`
`void`
`updateBinaryStream(int arg0, InputStream arg1)`
`void`
`updateBinaryStream(int arg0, InputStream arg1, int arg2)`
`void`
`updateBinaryStream(int arg0, InputStream arg1, long arg2)`
`void`
`updateBinaryStream(String arg0, InputStream arg1)`
`void`
`updateBinaryStream(String arg0, InputStream arg1, int arg2)`
`void`
`updateBinaryStream(String arg0, InputStream arg1, long arg2)`
`void`
`updateBlob(int arg0, InputStream arg1)`
`void`
`updateBlob(int arg0, InputStream arg1, long arg2)`
`void`
`updateBlob(int arg0, Blob arg1)`
`void`
`updateBlob(String arg0, InputStream arg1)`
`void`
`updateBlob(String arg0, InputStream arg1, long arg2)`
`void`
`updateBlob(String arg0, Blob arg1)`
`void`
`updateBoolean(int arg0, boolean arg1)`
`void`
`updateBoolean(String arg0, boolean arg1)`
`void`
`updateByte(int arg0, byte arg1)`
`void`
`updateByte(String arg0, byte arg1)`
`void`
`updateBytes(int arg0, byte[] arg1)`
`void`
`updateBytes(String arg0, byte[] arg1)`
`void`
`updateCharacterStream(int arg0, Reader arg1)`
`void`
`updateCharacterStream(int arg0, Reader arg1, int arg2)`
`void`
`updateCharacterStream(int arg0, Reader arg1, long arg2)`
`void`
`updateCharacterStream(String arg0, Reader arg1)`
`void`
`updateCharacterStream(String arg0, Reader arg1, int arg2)`
`void`
`updateCharacterStream(String arg0, Reader arg1, long arg2)`
`void`
`updateClob(int arg0, Reader arg1)`
`void`
`updateClob(int arg0, Reader arg1, long arg2)`
`void`
`updateClob(int arg0, Clob arg1)`
`void`
`updateClob(String arg0, Reader arg1)`
`void`
`updateClob(String arg0, Reader arg1, long arg2)`
`void`
`updateClob(String arg0, Clob arg1)`
`void`
`updateDate(int arg0, Date arg1)`
`void`
`updateDate(String arg0, Date arg1)`
`void`
`updateDouble(int arg0, double arg1)`
`void`
`updateDouble(String arg0, double arg1)`
`void`
`updateFloat(int arg0, float arg1)`
`void`
`updateFloat(String arg0, float arg1)`
`void`
`updateInt(int arg0, int arg1)`
`void`
`updateInt(String arg0, int arg1)`
`void`
`updateLong(int arg0, long arg1)`
`void`
`updateLong(String arg0, long arg1)`
`void`
`updateNCharacterStream(int arg0, Reader arg1)`
`void`
`updateNCharacterStream(int arg0, Reader arg1, long arg2)`
`void`
`updateNCharacterStream(String arg0, Reader arg1)`
`void`
`updateNCharacterStream(String arg0, Reader arg1, long arg2)`
`void`
`updateNClob(int arg0, Reader arg1)`
`void`
`updateNClob(int arg0, Reader arg1, long arg2)`
`void`
`updateNClob(int arg0, NClob arg1)`
`void`
`updateNClob(String arg0, Reader arg1)`
`void`
`updateNClob(String arg0, Reader arg1, long arg2)`
`void`
`updateNClob(String arg0, NClob arg1)`
`void`
`updateNString(int arg0, String arg1)`
`void`
`updateNString(String arg0, String arg1)`
`void`
`updateNull(int arg0)`
`void`
`updateNull(String arg0)`
`void`
`updateObject(int arg0, Object arg1)`
`void`
`updateObject(int arg0, Object arg1, int arg2)`
`void`
`updateObject(String arg0, Object arg1)`
`void`
`updateObject(String arg0, Object arg1, int arg2)`
`void`
`updateRef(int arg0, Ref arg1)`
`void`
`updateRef(String arg0, Ref arg1)`
`void`
`updateRow()`
`void`
`updateRowId(int arg0, RowId arg1)`
`void`
`updateRowId(String arg0, RowId arg1)`
`void`
`updateShort(int arg0, short arg1)`
`void`
`updateShort(String arg0, short arg1)`
`void`
`updateSQLXML(int arg0, SQLXML arg1)`
`void`
`updateSQLXML(String arg0, SQLXML arg1)`
`void`
`updateString(int arg0, String arg1)`
`void`
`updateString(String arg0, String arg1)`
`void`
`updateTime(int arg0, Time arg1)`
`void`
`updateTime(String arg0, Time arg1)`
`void`
`updateTimestamp(int arg0, Timestamp arg1)`
`void`
`updateTimestamp(String arg0, Timestamp arg1)`
`boolean`
`wasNull()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`updateObject, updateObject, updateObject, updateObject`

## Field Details

### statement

protected Statement statement

### warningChain

protected SQLWarning warningChain

### columnTypeList

protected List<String> columnTypeList

### ioTDBRpcDataSet

protected IoTDBRpcDataSet ioTDBRpcDataSet

### ioTDBRpcTracingInfo

protected IoTDBTracingInfo ioTDBRpcTracingInfo

## Constructor Details

### IoTDBJDBCResultSet

public IoTDBJDBCResultSet(Statement statement, List<String> columnNameList, List<String> columnTypeList, Map<String,Integer> columnNameIndex, boolean ignoreTimeStamp, IClientRPCService.Iface client, String sql, long queryId, long sessionId, List<ByteBuffer> dataset, TSTracingInfo tracingInfo, long timeout, String operationType, List<String> columns, List<String> sgColumns, BitSet aliasColumnMap, boolean moreData, ZoneId zoneId, Charset charset) throws SQLException

Throws:
  `SQLException`

### IoTDBJDBCResultSet

public IoTDBJDBCResultSet(Statement statement, List<String> columnNameList, List<String> columnTypeList, Map<String,Integer> columnNameIndex, boolean ignoreTimeStamp, IClientRPCService.Iface client, String sql, long queryId, long sessionId, List<ByteBuffer> dataSet, TSTracingInfo tracingInfo, long timeout, boolean moreData, ZoneId zoneId, Charset charset) throws SQLException

Throws:
  `SQLException`

### IoTDBJDBCResultSet

public IoTDBJDBCResultSet(Statement statement, List<String> columnNameList, List<String> columnTypeList, Map<String,Integer> columnNameIndex, boolean ignoreTimeStamp, IClientRPCService.Iface client, String sql, long queryId, long sessionId, List<ByteBuffer> dataSet, TSTracingInfo tracingInfo, long timeout, boolean moreData, ZoneId zoneId) throws SQLException

Throws:
  `SQLException`

## Method Details

### isWrapperFor

public boolean isWrapperFor(Class<?> iface) throws SQLException

Specified by:
  `isWrapperFor` in interface `Wrapper`
Throws:
  `SQLException`

### unwrap

public <T> T unwrap(Class<T> iface) throws SQLException

Specified by:
  `unwrap` in interface `Wrapper`
Throws:
  `SQLException`

### absolute

public boolean absolute(int arg0) throws SQLException

Specified by:
  `absolute` in interface `ResultSet`
Throws:
  `SQLException`

### afterLast

public void afterLast() throws SQLException

Specified by:
  `afterLast` in interface `ResultSet`
Throws:
  `SQLException`

### beforeFirst

public void beforeFirst() throws SQLException

Specified by:
  `beforeFirst` in interface `ResultSet`
Throws:
  `SQLException`

### cancelRowUpdates

public void cancelRowUpdates() throws SQLException

Specified by:
  `cancelRowUpdates` in interface `ResultSet`
Throws:
  `SQLException`

### clearWarnings

public void clearWarnings() throws SQLException

Specified by:
  `clearWarnings` in interface `ResultSet`
Throws:
  `SQLException`

### close

public void close() throws SQLException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `ResultSet`
Throws:
  `SQLException`

### deleteRow

public void deleteRow() throws SQLException

Specified by:
  `deleteRow` in interface `ResultSet`
Throws:
  `SQLException`

### findColumn

public int findColumn(String columnName)

Specified by:
  `findColumn` in interface `ResultSet`

### first

public boolean first() throws SQLException

Specified by:
  `first` in interface `ResultSet`
Throws:
  `SQLException`

### getArray

public Array getArray(int arg0) throws SQLException

Specified by:
  `getArray` in interface `ResultSet`
Throws:
  `SQLException`

### getArray

public Array getArray(String arg0) throws SQLException

Specified by:
  `getArray` in interface `ResultSet`
Throws:
  `SQLException`

### getAsciiStream

public InputStream getAsciiStream(int arg0) throws SQLException

Specified by:
  `getAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### getAsciiStream

public InputStream getAsciiStream(String arg0) throws SQLException

Specified by:
  `getAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### getBigDecimal

public BigDecimal getBigDecimal(int columnIndex) throws SQLException

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

### getBigDecimal

public BigDecimal getBigDecimal(String columnName) throws SQLException

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

### getBigDecimal

public BigDecimal getBigDecimal(int columnIndex, int scale) throws SQLException

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

### getBigDecimal

public BigDecimal getBigDecimal(String columnName, int scale) throws SQLException

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

### getBinaryStream

public InputStream getBinaryStream(int arg0) throws SQLException

Specified by:
  `getBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### getBinaryStream

public InputStream getBinaryStream(String arg0) throws SQLException

Specified by:
  `getBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### getBlob

public Blob getBlob(int arg0) throws SQLException

Specified by:
  `getBlob` in interface `ResultSet`
Throws:
  `SQLException`

### getBlob

public Blob getBlob(String arg0) throws SQLException

Specified by:
  `getBlob` in interface `ResultSet`
Throws:
  `SQLException`

### getBoolean

public boolean getBoolean(int columnIndex) throws SQLException

Specified by:
  `getBoolean` in interface `ResultSet`
Throws:
  `SQLException`

### getBoolean

public boolean getBoolean(String columnName) throws SQLException

Specified by:
  `getBoolean` in interface `ResultSet`
Throws:
  `SQLException`

### getByte

public byte getByte(int columnIndex) throws SQLException

Specified by:
  `getByte` in interface `ResultSet`
Throws:
  `SQLException`

### getByte

public byte getByte(String columnName) throws SQLException

Specified by:
  `getByte` in interface `ResultSet`
Throws:
  `SQLException`

### getBytes

public byte[] getBytes(int columnIndex) throws SQLException

Specified by:
  `getBytes` in interface `ResultSet`
Throws:
  `SQLException`

### getBytes

public byte[] getBytes(String columnName) throws SQLException

Specified by:
  `getBytes` in interface `ResultSet`
Throws:
  `SQLException`

### getCharacterStream

public Reader getCharacterStream(int arg0) throws SQLException

Specified by:
  `getCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### getCharacterStream

public Reader getCharacterStream(String arg0) throws SQLException

Specified by:
  `getCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### getClob

public Clob getClob(int arg0) throws SQLException

Specified by:
  `getClob` in interface `ResultSet`
Throws:
  `SQLException`

### getClob

public Clob getClob(String arg0) throws SQLException

Specified by:
  `getClob` in interface `ResultSet`
Throws:
  `SQLException`

### getConcurrency

public int getConcurrency()

Specified by:
  `getConcurrency` in interface `ResultSet`

### getCursorName

public String getCursorName() throws SQLException

Specified by:
  `getCursorName` in interface `ResultSet`
Throws:
  `SQLException`

### getDate

public Date getDate(int columnIndex) throws SQLException

Specified by:
  `getDate` in interface `ResultSet`
Throws:
  `SQLException`

### getDate

public Date getDate(String columnName) throws SQLException

Specified by:
  `getDate` in interface `ResultSet`
Throws:
  `SQLException`

### getDate

public Date getDate(int arg0, Calendar arg1) throws SQLException

Specified by:
  `getDate` in interface `ResultSet`
Throws:
  `SQLException`

### getDate

public Date getDate(String arg0, Calendar arg1) throws SQLException

Specified by:
  `getDate` in interface `ResultSet`
Throws:
  `SQLException`

### getDouble

public double getDouble(int columnIndex) throws SQLException

Specified by:
  `getDouble` in interface `ResultSet`
Throws:
  `SQLException`

### getDouble

public double getDouble(String columnName) throws SQLException

Specified by:
  `getDouble` in interface `ResultSet`
Throws:
  `SQLException`

### getFetchDirection

public int getFetchDirection()

Specified by:
  `getFetchDirection` in interface `ResultSet`

### setFetchDirection

public void setFetchDirection(int arg0) throws SQLException

Specified by:
  `setFetchDirection` in interface `ResultSet`
Throws:
  `SQLException`

### getFetchSize

public int getFetchSize() throws SQLException

Specified by:
  `getFetchSize` in interface `ResultSet`
Throws:
  `SQLException`

### setFetchSize

public void setFetchSize(int arg0) throws SQLException

Specified by:
  `setFetchSize` in interface `ResultSet`
Throws:
  `SQLException`

### getFloat

public float getFloat(int columnIndex) throws SQLException

Specified by:
  `getFloat` in interface `ResultSet`
Throws:
  `SQLException`

### getFloat

public float getFloat(String columnName) throws SQLException

Specified by:
  `getFloat` in interface `ResultSet`
Throws:
  `SQLException`

### getHoldability

public int getHoldability() throws SQLException

Specified by:
  `getHoldability` in interface `ResultSet`
Throws:
  `SQLException`

### getInt

public int getInt(int columnIndex) throws SQLException

Specified by:
  `getInt` in interface `ResultSet`
Throws:
  `SQLException`

### getInt

public int getInt(String columnName) throws SQLException

Specified by:
  `getInt` in interface `ResultSet`
Throws:
  `SQLException`

### getLong

public long getLong(int columnIndex) throws SQLException

Specified by:
  `getLong` in interface `ResultSet`
Throws:
  `SQLException`

### getLong

public long getLong(String columnName) throws SQLException

Specified by:
  `getLong` in interface `ResultSet`
Throws:
  `SQLException`

### getMetaData

public ResultSetMetaData getMetaData()

Specified by:
  `getMetaData` in interface `ResultSet`

### getNCharacterStream

public Reader getNCharacterStream(int arg0) throws SQLException

Specified by:
  `getNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### getNCharacterStream

public Reader getNCharacterStream(String arg0) throws SQLException

Specified by:
  `getNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### getNClob

public NClob getNClob(int arg0) throws SQLException

Specified by:
  `getNClob` in interface `ResultSet`
Throws:
  `SQLException`

### getNClob

public NClob getNClob(String arg0) throws SQLException

Specified by:
  `getNClob` in interface `ResultSet`
Throws:
  `SQLException`

### getNString

public String getNString(int arg0) throws SQLException

Specified by:
  `getNString` in interface `ResultSet`
Throws:
  `SQLException`

### getNString

public String getNString(String arg0) throws SQLException

Specified by:
  `getNString` in interface `ResultSet`
Throws:
  `SQLException`

### getObject

public Object getObject(int columnIndex) throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

### getObject

public Object getObject(String columnName) throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

### getObject

public Object getObject(int arg0, Map<String,Class<?>> arg1) throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

### getObject

public Object getObject(String arg0, Map<String,Class<?>> arg1) throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

### getObject

public <T> T getObject(int arg0, Class<T> arg1) throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

### getObject

public <T> T getObject(String arg0, Class<T> arg1) throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

### getRef

public Ref getRef(int arg0) throws SQLException

Specified by:
  `getRef` in interface `ResultSet`
Throws:
  `SQLException`

### getRef

public Ref getRef(String arg0) throws SQLException

Specified by:
  `getRef` in interface `ResultSet`
Throws:
  `SQLException`

### getRow

public int getRow() throws SQLException

Specified by:
  `getRow` in interface `ResultSet`
Throws:
  `SQLException`

### getRowId

public RowId getRowId(int arg0) throws SQLException

Specified by:
  `getRowId` in interface `ResultSet`
Throws:
  `SQLException`

### getRowId

public RowId getRowId(String arg0) throws SQLException

Specified by:
  `getRowId` in interface `ResultSet`
Throws:
  `SQLException`

### getSQLXML

public SQLXML getSQLXML(int arg0) throws SQLException

Specified by:
  `getSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

### getSQLXML

public SQLXML getSQLXML(String arg0) throws SQLException

Specified by:
  `getSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

### getShort

public short getShort(int columnIndex) throws SQLException

Specified by:
  `getShort` in interface `ResultSet`
Throws:
  `SQLException`

### getShort

public short getShort(String columnName) throws SQLException

Specified by:
  `getShort` in interface `ResultSet`
Throws:
  `SQLException`

### getStatement

public Statement getStatement()

Specified by:
  `getStatement` in interface `ResultSet`

### getString

public String getString(int columnIndex) throws SQLException

Specified by:
  `getString` in interface `ResultSet`
Throws:
  `SQLException`

### getString

public String getString(String columnName) throws SQLException

Specified by:
  `getString` in interface `ResultSet`
Throws:
  `SQLException`

### getTime

public Time getTime(int columnIndex) throws SQLException

Specified by:
  `getTime` in interface `ResultSet`
Throws:
  `SQLException`

### getTime

public Time getTime(String columnName) throws SQLException

Specified by:
  `getTime` in interface `ResultSet`
Throws:
  `SQLException`

### getTime

public Time getTime(int arg0, Calendar arg1) throws SQLException

Specified by:
  `getTime` in interface `ResultSet`
Throws:
  `SQLException`

### getTime

public Time getTime(String arg0, Calendar arg1) throws SQLException

Specified by:
  `getTime` in interface `ResultSet`
Throws:
  `SQLException`

### getTimestamp

public Timestamp getTimestamp(int columnIndex) throws SQLException

Specified by:
  `getTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

### getTimestamp

public Timestamp getTimestamp(String columnName) throws SQLException

Specified by:
  `getTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

### getTimestamp

public Timestamp getTimestamp(int arg0, Calendar arg1) throws SQLException

Specified by:
  `getTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

### getTimestamp

public Timestamp getTimestamp(String arg0, Calendar arg1) throws SQLException

Specified by:
  `getTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

### getType

public int getType()

Specified by:
  `getType` in interface `ResultSet`

### getURL

public URL getURL(int arg0) throws SQLException

Specified by:
  `getURL` in interface `ResultSet`
Throws:
  `SQLException`

### getURL

public URL getURL(String arg0) throws SQLException

Specified by:
  `getURL` in interface `ResultSet`
Throws:
  `SQLException`

### getUnicodeStream

public InputStream getUnicodeStream(int arg0) throws SQLException

Specified by:
  `getUnicodeStream` in interface `ResultSet`
Throws:
  `SQLException`

### getUnicodeStream

public InputStream getUnicodeStream(String arg0) throws SQLException

Specified by:
  `getUnicodeStream` in interface `ResultSet`
Throws:
  `SQLException`

### getWarnings

public SQLWarning getWarnings()

Specified by:
  `getWarnings` in interface `ResultSet`

### insertRow

public void insertRow() throws SQLException

Specified by:
  `insertRow` in interface `ResultSet`
Throws:
  `SQLException`

### isAfterLast

public boolean isAfterLast() throws SQLException

Specified by:
  `isAfterLast` in interface `ResultSet`
Throws:
  `SQLException`

### isBeforeFirst

public boolean isBeforeFirst() throws SQLException

Specified by:
  `isBeforeFirst` in interface `ResultSet`
Throws:
  `SQLException`

### isClosed

public boolean isClosed()

Specified by:
  `isClosed` in interface `ResultSet`

### isFirst

public boolean isFirst() throws SQLException

Specified by:
  `isFirst` in interface `ResultSet`
Throws:
  `SQLException`

### isLast

public boolean isLast() throws SQLException

Specified by:
  `isLast` in interface `ResultSet`
Throws:
  `SQLException`

### last

public boolean last() throws SQLException

Specified by:
  `last` in interface `ResultSet`
Throws:
  `SQLException`

### moveToCurrentRow

public void moveToCurrentRow() throws SQLException

Specified by:
  `moveToCurrentRow` in interface `ResultSet`
Throws:
  `SQLException`

### moveToInsertRow

public void moveToInsertRow() throws SQLException

Specified by:
  `moveToInsertRow` in interface `ResultSet`
Throws:
  `SQLException`

### next

public boolean next() throws SQLException

Specified by:
  `next` in interface `ResultSet`
Throws:
  `SQLException`

### previous

public boolean previous() throws SQLException

Specified by:
  `previous` in interface `ResultSet`
Throws:
  `SQLException`

### refreshRow

public void refreshRow() throws SQLException

Specified by:
  `refreshRow` in interface `ResultSet`
Throws:
  `SQLException`

### relative

public boolean relative(int arg0) throws SQLException

Specified by:
  `relative` in interface `ResultSet`
Throws:
  `SQLException`

### rowDeleted

public boolean rowDeleted() throws SQLException

Specified by:
  `rowDeleted` in interface `ResultSet`
Throws:
  `SQLException`

### rowInserted

public boolean rowInserted() throws SQLException

Specified by:
  `rowInserted` in interface `ResultSet`
Throws:
  `SQLException`

### rowUpdated

public boolean rowUpdated() throws SQLException

Specified by:
  `rowUpdated` in interface `ResultSet`
Throws:
  `SQLException`

### updateArray

public void updateArray(int arg0, Array arg1) throws SQLException

Specified by:
  `updateArray` in interface `ResultSet`
Throws:
  `SQLException`

### updateArray

public void updateArray(String arg0, Array arg1) throws SQLException

Specified by:
  `updateArray` in interface `ResultSet`
Throws:
  `SQLException`

### updateAsciiStream

public void updateAsciiStream(int arg0, InputStream arg1) throws SQLException

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateAsciiStream

public void updateAsciiStream(String arg0, InputStream arg1) throws SQLException

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateAsciiStream

public void updateAsciiStream(int arg0, InputStream arg1, int arg2) throws SQLException

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateAsciiStream

public void updateAsciiStream(String arg0, InputStream arg1, int arg2) throws SQLException

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateAsciiStream

public void updateAsciiStream(int arg0, InputStream arg1, long arg2) throws SQLException

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateAsciiStream

public void updateAsciiStream(String arg0, InputStream arg1, long arg2) throws SQLException

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBigDecimal

public void updateBigDecimal(int arg0, BigDecimal arg1) throws SQLException

Specified by:
  `updateBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

### updateBigDecimal

public void updateBigDecimal(String arg0, BigDecimal arg1) throws SQLException

Specified by:
  `updateBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

### updateBinaryStream

public void updateBinaryStream(int arg0, InputStream arg1) throws SQLException

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBinaryStream

public void updateBinaryStream(String arg0, InputStream arg1) throws SQLException

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBinaryStream

public void updateBinaryStream(int arg0, InputStream arg1, int arg2) throws SQLException

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBinaryStream

public void updateBinaryStream(String arg0, InputStream arg1, int arg2) throws SQLException

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBinaryStream

public void updateBinaryStream(int arg0, InputStream arg1, long arg2) throws SQLException

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBinaryStream

public void updateBinaryStream(String arg0, InputStream arg1, long arg2) throws SQLException

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBlob

public void updateBlob(int arg0, Blob arg1) throws SQLException

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

### updateBlob

public void updateBlob(String arg0, Blob arg1) throws SQLException

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

### updateBlob

public void updateBlob(int arg0, InputStream arg1) throws SQLException

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

### updateBlob

public void updateBlob(String arg0, InputStream arg1) throws SQLException

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

### updateBlob

public void updateBlob(int arg0, InputStream arg1, long arg2) throws SQLException

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

### updateBlob

public void updateBlob(String arg0, InputStream arg1, long arg2) throws SQLException

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

### updateBoolean

public void updateBoolean(int arg0, boolean arg1) throws SQLException

Specified by:
  `updateBoolean` in interface `ResultSet`
Throws:
  `SQLException`

### updateBoolean

public void updateBoolean(String arg0, boolean arg1) throws SQLException

Specified by:
  `updateBoolean` in interface `ResultSet`
Throws:
  `SQLException`

### updateByte

public void updateByte(int arg0, byte arg1) throws SQLException

Specified by:
  `updateByte` in interface `ResultSet`
Throws:
  `SQLException`

### updateByte

public void updateByte(String arg0, byte arg1) throws SQLException

Specified by:
  `updateByte` in interface `ResultSet`
Throws:
  `SQLException`

### updateBytes

public void updateBytes(int arg0, byte[] arg1) throws SQLException

Specified by:
  `updateBytes` in interface `ResultSet`
Throws:
  `SQLException`

### updateBytes

public void updateBytes(String arg0, byte[] arg1) throws SQLException

Specified by:
  `updateBytes` in interface `ResultSet`
Throws:
  `SQLException`

### updateCharacterStream

public void updateCharacterStream(int arg0, Reader arg1) throws SQLException

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateCharacterStream

public void updateCharacterStream(String arg0, Reader arg1) throws SQLException

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateCharacterStream

public void updateCharacterStream(int arg0, Reader arg1, int arg2) throws SQLException

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateCharacterStream

public void updateCharacterStream(String arg0, Reader arg1, int arg2) throws SQLException

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateCharacterStream

public void updateCharacterStream(int arg0, Reader arg1, long arg2) throws SQLException

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateCharacterStream

public void updateCharacterStream(String arg0, Reader arg1, long arg2) throws SQLException

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateClob

public void updateClob(int arg0, Clob arg1) throws SQLException

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateClob

public void updateClob(String arg0, Clob arg1) throws SQLException

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateClob

public void updateClob(int arg0, Reader arg1) throws SQLException

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateClob

public void updateClob(String arg0, Reader arg1) throws SQLException

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateClob

public void updateClob(int arg0, Reader arg1, long arg2) throws SQLException

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateClob

public void updateClob(String arg0, Reader arg1, long arg2) throws SQLException

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateDate

public void updateDate(int arg0, Date arg1) throws SQLException

Specified by:
  `updateDate` in interface `ResultSet`
Throws:
  `SQLException`

### updateDate

public void updateDate(String arg0, Date arg1) throws SQLException

Specified by:
  `updateDate` in interface `ResultSet`
Throws:
  `SQLException`

### updateDouble

public void updateDouble(int arg0, double arg1) throws SQLException

Specified by:
  `updateDouble` in interface `ResultSet`
Throws:
  `SQLException`

### updateDouble

public void updateDouble(String arg0, double arg1) throws SQLException

Specified by:
  `updateDouble` in interface `ResultSet`
Throws:
  `SQLException`

### updateFloat

public void updateFloat(int arg0, float arg1) throws SQLException

Specified by:
  `updateFloat` in interface `ResultSet`
Throws:
  `SQLException`

### updateFloat

public void updateFloat(String arg0, float arg1) throws SQLException

Specified by:
  `updateFloat` in interface `ResultSet`
Throws:
  `SQLException`

### updateInt

public void updateInt(int arg0, int arg1) throws SQLException

Specified by:
  `updateInt` in interface `ResultSet`
Throws:
  `SQLException`

### updateInt

public void updateInt(String arg0, int arg1) throws SQLException

Specified by:
  `updateInt` in interface `ResultSet`
Throws:
  `SQLException`

### updateLong

public void updateLong(int arg0, long arg1) throws SQLException

Specified by:
  `updateLong` in interface `ResultSet`
Throws:
  `SQLException`

### updateLong

public void updateLong(String arg0, long arg1) throws SQLException

Specified by:
  `updateLong` in interface `ResultSet`
Throws:
  `SQLException`

### updateNCharacterStream

public void updateNCharacterStream(int arg0, Reader arg1) throws SQLException

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateNCharacterStream

public void updateNCharacterStream(String arg0, Reader arg1) throws SQLException

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateNCharacterStream

public void updateNCharacterStream(int arg0, Reader arg1, long arg2) throws SQLException

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateNCharacterStream

public void updateNCharacterStream(String arg0, Reader arg1, long arg2) throws SQLException

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateNClob

public void updateNClob(int arg0, NClob arg1) throws SQLException

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateNClob

public void updateNClob(String arg0, NClob arg1) throws SQLException

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateNClob

public void updateNClob(int arg0, Reader arg1) throws SQLException

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateNClob

public void updateNClob(String arg0, Reader arg1) throws SQLException

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateNClob

public void updateNClob(int arg0, Reader arg1, long arg2) throws SQLException

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateNClob

public void updateNClob(String arg0, Reader arg1, long arg2) throws SQLException

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateNString

public void updateNString(int arg0, String arg1) throws SQLException

Specified by:
  `updateNString` in interface `ResultSet`
Throws:
  `SQLException`

### updateNString

public void updateNString(String arg0, String arg1) throws SQLException

Specified by:
  `updateNString` in interface `ResultSet`
Throws:
  `SQLException`

### updateNull

public void updateNull(int arg0) throws SQLException

Specified by:
  `updateNull` in interface `ResultSet`
Throws:
  `SQLException`

### updateNull

public void updateNull(String arg0) throws SQLException

Specified by:
  `updateNull` in interface `ResultSet`
Throws:
  `SQLException`

### updateObject

public void updateObject(int arg0, Object arg1) throws SQLException

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

### updateObject

public void updateObject(String arg0, Object arg1) throws SQLException

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

### updateObject

public void updateObject(int arg0, Object arg1, int arg2) throws SQLException

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

### updateObject

public void updateObject(String arg0, Object arg1, int arg2) throws SQLException

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

### updateRef

public void updateRef(int arg0, Ref arg1) throws SQLException

Specified by:
  `updateRef` in interface `ResultSet`
Throws:
  `SQLException`

### updateRef

public void updateRef(String arg0, Ref arg1) throws SQLException

Specified by:
  `updateRef` in interface `ResultSet`
Throws:
  `SQLException`

### updateRow

public void updateRow() throws SQLException

Specified by:
  `updateRow` in interface `ResultSet`
Throws:
  `SQLException`

### updateRowId

public void updateRowId(int arg0, RowId arg1) throws SQLException

Specified by:
  `updateRowId` in interface `ResultSet`
Throws:
  `SQLException`

### updateRowId

public void updateRowId(String arg0, RowId arg1) throws SQLException

Specified by:
  `updateRowId` in interface `ResultSet`
Throws:
  `SQLException`

### updateSQLXML

public void updateSQLXML(int arg0, SQLXML arg1) throws SQLException

Specified by:
  `updateSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

### updateSQLXML

public void updateSQLXML(String arg0, SQLXML arg1) throws SQLException

Specified by:
  `updateSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

### updateShort

public void updateShort(int arg0, short arg1) throws SQLException

Specified by:
  `updateShort` in interface `ResultSet`
Throws:
  `SQLException`

### updateShort

public void updateShort(String arg0, short arg1) throws SQLException

Specified by:
  `updateShort` in interface `ResultSet`
Throws:
  `SQLException`

### updateString

public void updateString(int arg0, String arg1) throws SQLException

Specified by:
  `updateString` in interface `ResultSet`
Throws:
  `SQLException`

### updateString

public void updateString(String arg0, String arg1) throws SQLException

Specified by:
  `updateString` in interface `ResultSet`
Throws:
  `SQLException`

### updateTime

public void updateTime(int arg0, Time arg1) throws SQLException

Specified by:
  `updateTime` in interface `ResultSet`
Throws:
  `SQLException`

### updateTime

public void updateTime(String arg0, Time arg1) throws SQLException

Specified by:
  `updateTime` in interface `ResultSet`
Throws:
  `SQLException`

### updateTimestamp

public void updateTimestamp(int arg0, Timestamp arg1) throws SQLException

Specified by:
  `updateTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

### updateTimestamp

public void updateTimestamp(String arg0, Timestamp arg1) throws SQLException

Specified by:
  `updateTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

### wasNull

public boolean wasNull()

Specified by:
  `wasNull` in interface `ResultSet`

### getValueByName

protected String getValueByName(String columnName) throws SQLException

Throws:
  `SQLException`

### getObjectByName

protected Object getObjectByName(String columnName) throws SQLException

Throws:
  `SQLException`

### isSetTracingInfo

public boolean isSetTracingInfo()

### getActivityList

public List<String> getActivityList()

### getElapsedTimeList

public List<Long> getElapsedTimeList()

### getStatisticsByName

public long getStatisticsByName(String name) throws Exception

Throws:
  `Exception`

### getStatisticsInfoByName

public String getStatisticsInfoByName(String name) throws Exception

Throws:
  `Exception`

### isIgnoreTimeStamp

public boolean isIgnoreTimeStamp()

### getOperationType

public String getOperationType()

### getColumns

public List<String> getColumns()

### getSgColumns

public List<String> getSgColumns()

### getColumnTypeByIndex

public String getColumnTypeByIndex(int columnIndex)